# inheritance by itself
python testNestInherit.py 1 inputs/test4
python printPklFile.py results/inherit.pkl > autoResults/nestInherit1.sp

python testNestInherit.py 2 inputs/test4
python printPklFile.py results/inherit.pkl > autoResults/nestInherit2.sp

python testNestInherit.py 3 inputs/test4
python printPklFile.py results/inherit.pkl > autoResults/nestInherit3.sp

#unit
python testNest3Assoc.py 1 inputs/test4
python printPklFile.py results/inputs/test4Bases.pkl > autoResults/nest4UnitBases.sp
python printPklFile.py results/inputs/test4Props.pkl > autoResults/nest4UnitProps.sp
python printPklFile.py results/inputs/test4Rels.pkl > autoResults/nest4UnitRels.sp

python testNest3Assoc.py 2 inputs/test4
python printPklFile.py results/inputs/test4Bases.pkl > autoResults/nest4PairBases.sp
python printPklFile.py results/inputs/test4Props.pkl > autoResults/nest4PairProps.sp
python printPklFile.py results/inputs/test4Rels.pkl > autoResults/nest4PairRels.sp

python testNest3Assoc.py 3 inputs/test4
python printPklFile.py results/inputs/test4Bases.pkl > autoResults/nest4SpreadBases.sp
python printPklFile.py results/inputs/test4Props.pkl > autoResults/nest4SpreadProps.sp
python printPklFile.py results/inputs/test4Rels.pkl > autoResults/nest4SpreadRels.sp

## 5 Tests
## INHERITANCE BY ITSELF
# test 1
python testNestInherit.py 1 inputs/test5
python printPklFile.py results/inherit.pkl > autoResults/nestInherit51.sp
python printSpikeTrains.py autoResults/nestInherit1.sp > autoResults/nestInherit1_neurons.sp

# test 2
python testNestInherit.py 2 inputs/test5
python printPklFile.py results/inherit.pkl > autoResults/nestInherit52.sp
python printSpikeTrains.py autoResults/nestInherit2.sp > autoResults/nestInherit2_neurons.sp
# test 3
python testNestInherit.py 3 inputs/test5
python printPklFile.py results/inherit.pkl > autoResults/nestInherit53.sp
python printSpikeTrains.py autoResults/nestInherit3.sp > autoResults/nestInherit3_neurons.sp

# test 1 unit
python testNest3Assoc.py 1 inputs/test5
python printPklFile.py results/inputs/test5Bases.pkl > autoResults/nest5UnitBases.sp 
python printSpikeTrains.py autoResults/nest5UnitBases.sp > autoResults/nest5UnitBases_neurons.sp
python printPklFile.py results/inputs/test5Props.pkl > autoResults/nest5UnitProps.sp
python printSpikeTrains.py autoResults/nest5UnitProps.sp > autoResults/nest5UnitProps_neurons.sp
python printPklFile.py results/inputs/test5Rels.pkl > autoResults/nest5UnitRels.sp
python printSpikeTrains.py autoResults/nest5UnitRels.sp > autoResults/nest5UnitRels_neurons.sp

# test 2 pair
python testNest3Assoc.py 2 inputs/test5
python printPklFile.py results/inputs/test5Bases.pkl > autoResults/nest5PairBases.sp 
python printSpikeTrains.py autoResults/nest5PairBases.sp > autoResults/nest5PairBases_neurons.sp
python printPklFile.py results/inputs/test5Props.pkl > autoResults/nest5PairProps.sp
python printSpikeTrains.py autoResults/nest5PairProps.sp > autoResults/nest5PairProps_neurons.sp
python printPklFile.py results/inputs/test5Rels.pkl > autoResults/nest5PairRels.sp
python printSpikeTrains.py autoResults/nest5PairRels.sp > autoResults/nest5PairRels_neurons.sp

# test 3 spread
python testNest3Assoc.py 3 inputs/test5
python printPklFile.py results/inputs/test5Bases.pkl > autoResults/nest5SpreadBases.sp 
python printSpikeTrains.py autoResults/nest5SpreadBases.sp > autoResults/nest5SpreadBases_neurons.sp
python printPklFile.py results/inputs/test5Props.pkl > autoResults/nest5SpreadProps.sp
python printSpikeTrains.py autoResults/nest5SpreadProps.sp > autoResults/nest5SpreadProps_neurons.sp
python printPklFile.py results/inputs/test5Rels.pkl > autoResults/nest5SpreadRels.sp
python printSpikeTrains.py autoResults/nest5SpreadRels.sp > autoResults/nest5SpreadRels_neurons.sp


echo "diffs"
echo "inherit 1"
diff storedResults/nestInherit1.sp autoResults/nestInherit1.sp

echo "inherit all units"
diff storedResults/nestInherit2.sp autoResults/nestInherit2.sp

echo "inherit all units spread"
diff storedResults/nestInherit3.sp autoResults/nestInherit3.sp

echo "unit 4"
diff storedResults/nest4UnitBases.sp autoResults/nest4UnitBases.sp
diff storedResults/nest4UnitProps.sp autoResults/nest4UnitProps.sp
diff storedResults/nest4UnitRels.sp autoResults/nest4UnitRels.sp

echo "pair 4"
diff storedResults/nest4PairBases.sp autoResults/nest4PairBases.sp
diff storedResults/nest4PairProps.sp autoResults/nest4PairProps.sp
diff storedResults/nest4PairRels.sp autoResults/nest4PairRels.sp

echo "spread 4"
diff storedResults/nest4SpreadBases.sp autoResults/nest4SpreadBases.sp
diff storedResults/nest4SpreadProps.sp autoResults/nest4SpreadProps.sp
diff storedResults/nest4SpreadRels.sp autoResults/nest4SpreadRels.sp

echo "DIFFS: differences between storedResults and autoResults"
echo "inherit 1"
diff storedResults/nestInherit51.sp autoResults/nestInherit51.sp
echo "inherit all units"
diff storedResults/nestInherit52.sp autoResults/nestInherit52.sp
echo "inherit all units spread"
diff storedResults/nestInherit53.sp autoResults/nestInherit53.sp
echo "unit 5"
diff storedResults/nest5UnitBases.sp autoResults/nest5UnitBases.sp
diff storedResults/nest5UnitProps.sp autoResults/nest5UnitProps.sp
diff storedResults/nest5UnitRels.sp autoResults/nest5UnitRels.sp
echo "pair 5"
diff storedResults/nest5PairBases.sp autoResults/nest5PairBases.sp
diff storedResults/nest5PairProps.sp autoResults/nest5PairProps.sp
diff storedResults/nest5PairRels.sp autoResults/nest5PairRels.sp
echo "spread 5"
diff storedResults/nest5SpreadBases.sp autoResults/nest5SpreadBases.sp
diff storedResults/nest5SpreadProps.sp autoResults/nest5SpreadProps.sp
diff storedResults/nest5SpreadRels.sp autoResults/nest5SpreadRels.sp
