#inheritance by itself
python testSpinn8Inherit.py 1 inputs/test4
python printPklFile.py results/inherit.pkl  > autoResults/spinn8Inherit1.sp
sleep 5

python testSpinn8Inherit.py 2 inputs/test4
python printPklFile.py results/inherit.pkl  > autoResults/spinn8Inherit2.sp
sleep 5

python testSpinn8Inherit.py 3 inputs/test4
python printPklFile.py results/inherit.pkl  > autoResults/spinn8Inherit3.sp
sleep 5

#unit
python testSpinn83Assoc.py 1 inputs/test4
python printPklFile.py results/inputs/test4Bases.pkl  > autoResults/spinn84UnitBases.sp
python printPklFile.py results/inputs/test4Props.pkl  > autoResults/spinn84UnitProps.sp
python printPklFile.py results/inputs/test4Rels.pkl  > autoResults/spinn84UnitRels.sp
sleep 5

python testSpinn83Assoc.py 2 inputs/test4 
python printPklFile.py results/inputs/test4Bases.pkl  > autoResults/spinn84PairBases.sp
python printPklFile.py results/inputs/test4Props.pkl  > autoResults/spinn84PairProps.sp
python printPklFile.py results/inputs/test4Rels.pkl  > autoResults/spinn84PairRels.sp
sleep 5

python testSpinn83Assoc.py 3 inputs/test4
python printPklFile.py results/inputs/test4Bases.pkl  > autoResults/spinn84SpreadBases.sp
python printPklFile.py results/inputs/test4Props.pkl  > autoResults/spinn84SpreadProps.sp
python printPklFile.py results/inputs/test4Rels.pkl  > autoResults/spinn84SpreadRels.sp
sleep 5

## 5 Tests
## INHERITANCE BY ITSELF
# test 1
python testSpinn8Inherit.py 1 inputs/test5
python printPklFile.py results/inherit.pkl  > autoResults/spinn8Inherit51.sp
sleep 5

python testSpinn8Inherit.py 2 inputs/test5
python printPklFile.py results/inherit.pkl  > autoResults/spinn8Inherit52.sp
sleep 5 

python testSpinn8Inherit.py 3 inputs/test5
python printPklFile.py results/inherit.pkl  > autoResults/spinn8Inherit53.sp
sleep 5

python testSpinn83Assoc.py 1 inputs/test5
python printPklFile.py results/inputs/test5Bases.pkl  > autoResults/spinn85UnitBases.sp
python printPklFile.py results/inputs/test5Props.pkl  > autoResults/spinn85UnitProps.sp
python printPklFile.py results/inputs/test5Rels.pkl  > autoResults/spinn85UnitRels.sp
sleep 5

python testSpinn83Assoc.py 2 inputs/test5
python printPklFile.py results/inputs/test5Bases.pkl  > autoResults/spinn85PairBases.sp
python printPklFile.py results/inputs/test5Props.pkl  > autoResults/spinn85PairProps.sp
python printPklFile.py results/inputs/test5Rels.pkl  > autoResults/spinn85PairRels.sp
sleep 5

python testSpinn83Assoc.py 3 inputs/test5
python printPklFile.py results/inputs/test5Bases.pkl  > autoResults/spinn85SpreadBases.sp
python printPklFile.py results/inputs/test5Props.pkl  > autoResults/spinn85SpreadProps.sp
python printPklFile.py results/inputs/test5Rels.pkl  > autoResults/spinn85SpreadRels.sp
sleep 5


echo "diffs"
echo "inherit 1"
diff storedResults/spinn8Inherit1.sp autoResults/spinn8Inherit1.sp

echo "inherit all units"
diff storedResults/spinn8Inherit2.sp autoResults/spinn8Inherit2.sp

echo "inherit all units spread"
diff storedResults/spinn8Inherit3.sp autoResults/spinn8Inherit3.sp

echo "unit 4"
diff storedResults/spinn84UnitBases.sp autoResults/spinn84UnitBases.sp
diff storedResults/spinn84UnitProps.sp autoResults/spinn84UnitProps.sp
diff storedResults/spinn84UnitRels.sp autoResults/spinn84UnitRels.sp

echo "pair 4"
diff storedResults/spinn84PairBases.sp autoResults/spinn84PairBases.sp
diff storedResults/spinn84PairProps.sp autoResults/spinn84PairProps.sp
diff storedResults/spinn84PairRels.sp autoResults/spinn84PairRels.sp

echo "spread 4"
diff storedResults/spinn84SpreadBases.sp autoResults/spinn84SpreadBases.sp
#echo "   Prop"
diff storedResults/spinn84SpreadProps.sp autoResults/spinn84SpreadProps.sp
#echo "   Rel"
diff storedResults/spinn84SpreadRels.sp autoResults/spinn84SpreadRels.sp

echo "DIFFS: differences between storedResults and autoResults"
echo "inherit 1"
diff storedResults/spinn8Inherit51.sp autoResults/spinn8Inherit51.sp
echo "inherit all units"
diff storedResults/spinn8Inherit52.sp autoResults/spinn8Inherit52.sp
echo "inherit all units spread"
diff storedResults/spinn8Inherit53.sp autoResults/spinn8Inherit53.sp


echo "unit 5"
diff storedResults/spinn85UnitBases.sp autoResults/spinn85UnitBases.sp
diff storedResults/spinn85UnitProps.sp autoResults/spinn85UnitProps.sp
diff storedResults/spinn85UnitRels.sp autoResults/spinn85UnitRels.sp

echo "pair 5"
diff storedResults/spinn85PairBases.sp autoResults/spinn85PairBases.sp
diff storedResults/spinn85PairProps.sp autoResults/spinn85PairProps.sp
diff storedResults/spinn85PairRels.sp autoResults/spinn85PairRels.sp

echo "spread 5"
diff storedResults/spinn85SpreadBases.sp autoResults/spinn85SpreadBases.sp
diff storedResults/spinn85SpreadProps.sp autoResults/spinn85SpreadProps.sp
diff storedResults/spinn85SpreadRels.sp autoResults/spinn85SpreadRels.sp
