#pass this a sp file and it will return the spike trains and the spiked neurons

#
import sys
import pandas as pd
import numpy as np

#
def printSpikeTrains(fileName):
	spFile = pd.read_csv(fileName,sep=' ',names=['neurons','spikes','unit'])
	spikeTrains = spFile.groupby('neurons')['spikes'].apply(list)
	spikedNeurons = spFile.neurons.unique()
	print spikedNeurons#, spikeTrains

#--main
args = sys.argv
numberArgs = args.__len__()
if (numberArgs == 2):
    fileName = args[1]

printSpikeTrains(fileName)

'''example of usage:

alberto@pl-00110368:~/Documents/NEAL/am_extended_hierarchy$ python printSpikedNeurons.py ./autoResults/nest4SpreadRels.sp 

[10 11 12 13 14 15 16 17] neurons
10    [83.0, 89.0, 94.0, 99.0, 104.0, 109.0, 114.0, ...
11    [83.0, 89.0, 94.0, 99.0, 104.0, 109.0, 114.0, ...
12    [83.0, 89.0, 94.0, 99.0, 104.0, 109.0, 114.0, ...
13    [83.0, 89.0, 94.0, 99.0, 104.0, 109.0, 114.0, ...
14    [83.0, 89.0, 94.0, 99.0, 104.0, 109.0, 114.0, ...
15    [83.0, 89.0, 94.0, 99.0, 104.0, 109.0, 114.0, ...
16    [83.0, 89.0, 94.0, 99.0, 104.0, 109.0, 114.0, ...
17    [83.0, 89.0, 94.0, 99.0, 104.0, 109.0, 114.0, ...

'''


